JUCE: juce::midi_ci::ResponderPropertyExchangeCache Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::ResponderPropertyExchangeCache Class Reference
juce_midi_ci » ci

Accumulates message chunks that form a request initiated by a remote device. More...

`#include <juce_CIPropertyExchangeCache.h>`

## Public Member Functions
| ResponderPropertyExchangeCache ()
| ~ResponderPropertyExchangeCache ()
| ResponderPropertyExchangeCache (ResponderPropertyExchangeCache &&) noexcept
ResponderPropertyExchangeCache & | operator= (ResponderPropertyExchangeCache &&) noexcept
void | primeCache (uint8_t maxSimultaneousTransactions, std::function< void(const PropertyExchangeResult &)> onDone, std::byte id)
| Prepares the cache for the given requestId to accumulate message chunks.
void | addChunk (std::byte b, const Message::DynamicSizePropertyExchange &chunk)
| Adds a message chunk for the provided transaction id.
void | notify (std::byte b, Span< const std::byte > header)
| Updates the transaction state based on the contents of the provided notification.
int | countOngoingTransactions () const
| Returns the number of transactions that have been started but not finished.

## Detailed Description

Accumulates message chunks that form a request initiated by a remote device.

## Constructor & Destructor Documentation

## ◆ ResponderPropertyExchangeCache() [1/2]

juce::midi_ci::ResponderPropertyExchangeCache::ResponderPropertyExchangeCache | ( |  | ) |

## ◆ ~ResponderPropertyExchangeCache()

juce::midi_ci::ResponderPropertyExchangeCache::~ResponderPropertyExchangeCache | ( |  | ) |

## ◆ ResponderPropertyExchangeCache() [2/2]

juce::midi_ci::ResponderPropertyExchangeCache::ResponderPropertyExchangeCache | ( | ResponderPropertyExchangeCache && |  | ) |
| noexcept

## Member Function Documentation

## ◆ operator=()

ResponderPropertyExchangeCache & juce::midi_ci::ResponderPropertyExchangeCache::operator= | ( | ResponderPropertyExchangeCache && |  | ) |
| noexcept

## ◆ primeCache()

void juce::midi_ci::ResponderPropertyExchangeCache::primeCache | ( | uint8_t | maxSimultaneousTransactions,
|  | std::function< void(const PropertyExchangeResult &)> | onDone,
|  | std::byte | id
| ) |  |

Prepares the cache for the given requestId to accumulate message chunks.

Incoming chunks added with addChunk are generated by another device acting as an initiator.

## ◆ addChunk()

void juce::midi_ci::ResponderPropertyExchangeCache::addChunk | ( | std::byte | b,
|  | const Message::DynamicSizePropertyExchange & | chunk
| ) |  |

Adds a message chunk for the provided transaction id.

## ◆ notify()

void juce::midi_ci::ResponderPropertyExchangeCache::notify | ( | std::byte | b,
|  | Span< const std::byte > | header
| ) |  |

Updates the transaction state based on the contents of the provided notification.

## ◆ countOngoingTransactions()

int juce::midi_ci::ResponderPropertyExchangeCache::countOngoingTransactions | ( |  | ) | const

Returns the number of transactions that have been started but not finished.

The documentation for this class was generated from the following file:

- juce_CIPropertyExchangeCache.h